Bug 1283408 - [RFE] Support for AWS4 auth
Summary: [RFE] Support for AWS4 auth
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 1.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 2.0
Assignee: Yehuda Sadeh
QA Contact: shilpa
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1322504
TreeView+ depends on / blocked
 
Reported: 2015-11-18 21:31 UTC by Neil Levine
Modified: 2017-07-30 16:05 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.The AWS4 authentication is now supported Red Hat Ceph Storage now supports the new Amazon Web Services (AWS) Signature Version 4 authentication.
Clone Of:
Environment:
Last Closed: 2016-08-23 19:28:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1755 normal SHIPPED_LIVE Red Hat Ceph Storage 2.0 bug fix and enhancement update 2016-08-23 23:23:52 UTC

Description Neil Levine 2015-11-18 21:31:41 UTC
To be compatible with the latest AWS toolkits and libraries, we need to support the new AWS auth semantics.

Testing is covered by the existing S3 test suite.

Comment 6 Harish NV Rao 2016-06-30 15:55:30 UTC
Anjana, this is a RFE bug for supporting AWS4 authentication. QE will move it to verified state once the testing is completed. I am moving this back to ON_QA.

Comment 9 shilpa 2016-08-02 08:58:33 UTC
The feature has been verified using ruby aws-sdk. Moving to verified.

Comment 11 errata-xmlrpc 2016-08-23 19:28:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1755


Note You need to log in before you can comment on or make changes to this bug.